Package org.apache.sling.distribution.journal.binary.jcr

## Class PackageCleanupTask

- java.lang.Object
- - org.apache.sling.distribution.journal.binary.jcr.PackageCleanupTask

All Implemented Interfaces:
  `Runnable`

    @ParametersAreNonnullByDefault
    public class PackageCleanupTask
    extends Object
    implements Runnable

The cleanup task fetches the head offset (the smallest) and the tail offset (the current biggest) on the package topic. The stored packages are then scanned and cleaned if they are no longer referenced by the package topic (offset smaller than the head offset). With clustered deployment, only one Publisher agent should run the package cleanup task on the cluster

### Constructor Summary

Constructors
`PackageCleanupTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PackageCleanupTask

    public PackageCleanupTask()

### Method Detail

#### run

    public void run()

Specified by:
  `run` in interface `Runnable`